import {FileUploadStatus} from './FileUploadStatus';

/**
 * Provides access to methods for uploading a file. A file transfer object is
 * obtained by calling the FileSharingManager#createFileTransfer method.
 */
export declare class FileUpload {
	getBytesSent(): number;
	getId(): string;
	getName(): string;
	getProgress(): number;
	getSize(): number;
	getStatus(): FileUploadStatus;
	getType(): string;
	getUrl(): string;
	hasStatus(statuses: FileUploadStatus): boolean;
	getRestriction(): string[];
}
