/* eslint-disable @typescript-eslint/explicit-member-accessibility */
import {WacProxy} from '../wac-proxy/WacProxy';

export class User {
	constructor(wacProxy: WacProxy);
	readonly alias: string;
	readonly capabilities: any;
	readonly created: number;
	readonly domain: string;
	readonly email: string;
	readonly id: string;
	readonly landLineNumber: string;
	readonly lastLogin: number;
	readonly mobilePhone: any;
	readonly role: string;
	readonly username: string;
	getAddress(): string;

	/**
	 * Get the user who is authenticated.
	 */
	init(): Promise<User>;

	/**
	 * Returns a JS object with the JSON serialization representation of this
	 * object.
	 */
	toJSON(): object;

	/**
	 * Update an user.
	 */
	update(objToUpdate: object): Promise<User>;

	/**
	 * Check if a code is right to update a phone.
	 */
	validatePhone(code: string, phone: string): Promise<User>;
}
