import { Observable } from 'rxjs';
import { PresenceService } from '../wac-proxy/wac-stack/presence/PresenceService';
import { User } from './User';
/**
 * Allows retrieving users. An instance of this class must be obtained using
 * {@link Session.getUserRepository}
 */
export declare class UserRepository {
    private presenceService;
    private state$;
    private pendingSubscriptions;
    private currentSubscriptions;
    private requestSubscriptionSubject;
    private requestSubscriptionFulfilledSubject;
    constructor(presenceService: PresenceService);
    /**
     * Allows obtaining a representation of any user of the system
     * @param userId The id of the requested user
     * @returns An observable emitting a representation of the user with the provided ID as soon
     * as it is available and, subsequently, all the updates that occur in any of its properties.
     */
    getUser$(userId: string): Observable<User | undefined>;
    /**
     * Allows obtaining a representation of any user of the system
     * @param address The address of the requested user
     * @returns An observable emitting a representation of the user with the provided ID as soon
     * as it is available and, subsequently, all the updates that occur in any of its properties.
     */
    getUserByAddress$(address: string): Observable<User | undefined>;
    private getActions;
}
