declare type Format = 'image/png' | 'image/webp';
/**
 * Scales the image provided to the given width and height.
 * @param file A blob containing the image to scale.
 * @param width The width to scale the image to.
 * @param height The height to scale the image to.
 * @param format The format of the scaled image.
 * @returns A promise that resolves to a string containing the scaled image in a base64 representation.
 */
export declare function scaleImage(file: Blob, width: number, height: number, format?: Format): Promise<string>;
export {};
