import { EventEmitter2 } from 'eventemitter2';
import { Dependencies } from './Dependencies';
export declare const SESSION_CONNECTED = "connected";
export declare const RECONNECTING = "reconnecting";
export declare const RECONNECTED = "reconnected";
export declare const SESSION_CLOSED = "closed";
export declare class Session extends EventEmitter2 {
    private address;
    private username;
    private token;
    private applicationToken;
    private dependencies;
    private signaling;
    private session;
    private deviceId?;
    constructor(address: string, username: string, token?: string, applicationToken?: string, dependencies?: Dependencies);
    get registered(): boolean;
    get peerId(): string;
    register({ deviceId }?: {
        deviceId?: string;
    }): Promise<void>;
    unregister(): Promise<void>;
    suspend(): Promise<void>;
    resume(): Promise<void>;
    private login;
    onSessionClosed(): void;
    private bindSignalingEvents;
    onReconnecting(): void;
    onReconnected(): Promise<void>;
    unbindSignalingEvents(): void;
}
