import { CloseEvent, ErrorEvent } from 'reconnecting-websocket';
import { Dependencies } from '../Dependencies';
import { CallTransferAPI } from './CallTransferAPI';
import { Emitter } from './Emitter';
import { InvitesAPI } from './InvitesAPI';
import { MeetingsAPI } from './MeetingsAPI';
import { QuickConferencesAPI } from './QuickConferencesAPI';
import { RegisterAPI } from './RegisterAPI';
import { RoomsAPI } from './RoomsAPI';
export declare const MESSAGE_EVENT = "message";
export declare const CONNECTED = "connected";
export declare const RECONNECTED = "reconnected";
export declare const RECONNECTING = "reconnecting";
export declare const CONNECTION_CLOSED = "closed";
export declare class SignalingClient extends Emitter {
    private address;
    private dependencies;
    private socket;
    private pending;
    private pendingWithInviteId;
    private pingTimer;
    invites: InvitesAPI;
    register: RegisterAPI;
    callTransfer: CallTransferAPI;
    rooms: RoomsAPI;
    meetings: MeetingsAPI;
    quickConferences: QuickConferencesAPI;
    constructor(address: string, dependencies?: Dependencies);
    get ready(): boolean;
    init(): Promise<SignalingClient>;
    handlerErrorSocket(error: CloseEvent | ErrorEvent): void;
    uninit(): Promise<SignalingClient>;
    closePendingMessages(): void;
    send(data: Record<string, string>, id?: string, retry?: number): Promise<any>;
    onMessage(msg: MessageEvent<any>): void;
    waitPendingWithRequestId(id: string): Promise<any>;
    waitPendingWithInviteId(id: string): Promise<any>;
    cleanPendingWithIdIfExists(id: string): void;
    heartbeat(): void;
    stopCurrentSocketAndReconnect(): void;
    closeCurrentSocket(): void;
    reconnect(): Promise<void>;
    cleanState(): void;
    unbindSocketEvents(): void;
    private onClose;
}
